# dcc.voice

Starts a DCC Voice connection

Syntax

    dcc.voice [-g=<codec>] [-n] [-c] [-u] [-h=<sample_rate_in_hz>] [-m[=<boolean>]] [-i=<interface>] [-p=<port>] [-a=<fake address>] [-f=<fake port>] <nickname>

Description

Attempts a DCC Voice connection to <nickname>.
The -g option is used to select the GSM codec, available codecs are "gsm", "adpcm" and "null".
The adpcm codec is the one that was used in previous KVIrc versions, it provides a 1:4 compression rate and is designed for 8 KHz audio sampling rate (but will work also with other sampling rates).
The gsm codec offers 1:10 compression at the cost of some quality and cpu time. If you have a good cpu and plan to transmit voice only, use this codec.<br> The null codec offers no compression and may be used to transfer plain audio data over a fast connection (usually loopback connection or local networks). The null codec with 44100 sampling rate would provide CD quality audio streaming, but it is practically not usable (at the time I'm writing) since requires a monster bandwidth. If the -g switch is not present, the adpcm codec is used by default (for compatibility reasons).
The -h switch is used to select the sampling rate, if not given the sampling rate defaults to 8000 Hz. This switch accepts any value, but in fact the soundcards have limits on the values. Typically the lowest limit is 5 KHz and the upper limit is 44.1 KHz (but some soundcards support 96 KHz). It is also possible that the soundcard can't support a continous range of frequencies and will select a discrete closest match instead.
The "commonly used" sample rates are 8000, 11025, 22050 and 44100 Hz.
The remaining parameters are equivalent to the ones used in dcc.send, so please refer to that help page for the full discussion. This help page contains only a brief resume of these parameters.
Parameters:
-t: Ignored.
-m=<boolean>: Force window minimize if boolean evaluates to 1
-n: Send no CTCP request, just setup a listening socket
-u: Never timeout
-i=<interface>: Listen on this interface (interface may be an IP address or a local interface name)
-p=<port>: Listen on this port
-a=<fake ip>: Send this fake IP address in the request
-f=<fake port>: Send this fake port in the request
-c: Connect to the interface and port specified by the -i and -p switches (instead of sending a request and listening)

Examples

        # Setup a DCC VOICE connection with Pragma (IRC user)
        dcc.voice Pragma
        # Setup a DCC VOICE connection with Pragma and use the gsm codec
        dcc.voice -g=gsm Pragma
        # Setup a DCC VOICE connection with Pragma, use the gsm codec and 22050 Hz sampling rate
        dcc.voice -g=gsm -h=22050 Pragma
        # Setup a listening socket for a DCC VOICE connection on interface 127.0.0.1 and port 8088
        dcc.voice -n -i=127.0.0.1 -p=8088 Pippo
        # Connect to the socket above
        dcc.voice -c -i=127.0.0.1 -p=8088 Pluto
        # Same as above but use the NULL codec with 11025 Hz sampling rate
        dcc.voice -g=null -h=11025 -n -i=127.0.0.1 -p=8088 Pippo
        # Connect to the socket above
        dcc.voice -g=null -h=11025 -c -i=127.0.0.1 -p=8088 Pluto

Index, Commands

KVIrc 3.2.0 Documentation
Generated by kris at Wed Oct 25 20:15:27 2006